1. Incidents
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incidents

Show

Developing
GET
http://127.0.0.1:8000/api/incidents/1
Retrieves the details of a specific incident by its ID.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incidents/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "message": "Incident found successfully",
    "data": {
        "id": 1,
        "alert": "Suspicious multiple login attempts.",
        "assigned_to": "analyst",
        "title": "Critical Brute Force Incident",
        "severity": "high",
        "status": "open",
        "started_at": "2026-06-05 13:46:37",
        "closed_at": "not closed"
    }
}
Modified at 2026-06-19 14:45:25
Previous
Index
Next
Create
Built with